import { DateData, State } from "../types/store";
import { LocaleConfig } from "../types/options";
import { WeekRange } from "../types/utils";
export declare function date(date: string | null | number): Date | null;
export declare function getYear(date?: Date): number;
export declare function getMonth(date?: Date): number;
export declare function getDay(date?: Date): number;
export declare function transformDateToArray(date: string): number[];
export declare function daysInAMonth(year: number, month: number): number;
export declare function getTenRange(year: number): number[];
export declare function monthStartDay(year: number, month: number, start?: number): number;
export declare function joinDate<T = (number | string)>(month?: T[] | T, year?: number, day?: number): string;
export declare function transformDate(date: Date | string): string;
export declare function isAfter(source: string | null | Date, target: string | null | Date): boolean;
export declare function isSame(source: string | null | Date, target: string | null | Date, precision?: number): boolean;
export declare function rangeSort(min: string | null, max: string | null): (string | null)[];
export declare function isInRange<T = number>(max: string, min: string, date: string): string;
export declare function getPre<T = number>(m: number, y?: number): [number, number];
export declare function getNext<T = number>(m: number | DateData, y?: number): [number, number];
export declare function isDisabledDate(state: State, date: string): string;
export declare function getYearWeek(date: Date, locale: LocaleConfig): number;
export declare function getWeeks<S = number>(weekdays: S[], weekStart: number): S[];
export declare function getWeekRange(d: Date | string, weekStart: number): WeekRange;
